/*-------------------------------------------------------------------------+
| Copyright 2019 fortiss GmbH                                              |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.tooling.base.ui.editor.fx.visuals;

import org.eclipse.systemfocus.kernel.common.ui.javafx.lwfxef.mvc.IContentAnchorageMVCBundle;
import org.eclipse.systemfocus.kernel.common.ui.javafx.lwfxef.visual.IVisual;
import org.fortiss.tooling.base.model.element.IConnector;
import org.fortiss.tooling.base.model.layout.ILayoutedModelElement;
import org.fortiss.tooling.kernel.model.INamedElement;

/**
 * {@link IVisual} for layouted and named {@link IConnector}s of some content element within a
 * diagram (sticky connectors).
 * 
 * @author diewald
 */
public class NamedLayoutedConnectorContentVisual<T extends ILayoutedModelElement & INamedElement>
		extends LayoutedCircularContentAnchorageVisualBase<T> {

	/** Constructor. */
	public NamedLayoutedConnectorContentVisual(IContentAnchorageMVCBundle mvcb, Class<T> modelType) {
		super(mvcb, modelType);
	}

	/** {@inheritDoc} */
	@Override
	protected String getHoverText() {
		return getModelElement().getName();
	}
}
